View Issue Details

IDProjectCategoryView StatusLast Update
0000936SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.2.0 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000936: Oracle integer datatype has a larger precision than the java Integer datatype.
DescriptionDbImport fails to insert large integers over 2^32 even if the column supports the larger integer.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000131

Prepare for release

Related Changesets

SymmetricDS: master a73efb43

2012-11-30 15:56:13

chenson

Details Diff
0000936: Oracle integer datatype has a larger precision than the java Integer datatype.
0000936
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File

SymmetricDS: master 9fc49897

2012-11-30 20:43:16

chenson

Details Diff
0000936: Oracle integer datatype has a larger precision than the java Integer datatype.
0000936
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File

SymmetricDS: master 5e3b0e34

2012-12-02 19:44:31

chenson

Details Diff
0000936: Oracle integer datatype has a larger precision than the java Integer datatype.
0000936
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-11-30 14:20 abrougher New Issue
2012-11-30 14:20 abrougher Status new => assigned
2012-11-30 14:20 abrougher Assigned To => chenson
2012-11-30 15:55 chenson Project SymmetricDS Pro => SymmetricDS
2012-11-30 15:55 chenson Status assigned => resolved
2012-11-30 15:55 chenson Fixed in Version => 3.2.0
2012-11-30 15:55 chenson Resolution open => fixed
2012-12-16 12:32 chenson Note Added: 0000131
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6600
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6601
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6605
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5e3b0e34
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9fc49897
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a73efb43